Get local streaming audience

Note about YouTube views: YouTube's view count is calculated by combining each official version of a song, including the official music video, user-generated content that uses the official song, and lyric videos.

Disclaimer: YouTube doesn't aggregate views for all artists & songs on charts.youtube.com, only for a portion of them (the biggest artists and their top songs).

Need to get the song UUID first? Use the Get song by ISRC or Get song by platform ID or Search song by name endpoints.

Request

GET /api/v2/song/{uuid}/streaming/{platform}

Path parameters

Parameter Value Description Additional
uuid string An song UUID Required
platform string A streaming platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Local Streaming Audience

Streaming Plot Collection
400 Bad Request

Invalid date provided

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

An song UUID

A streaming platform code

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out